/*********************************************************************
* Copyright (c) 2018 Tecnalia.
*
* This program and the accompanying materials are made
* available under the terms of the Eclipse Public License 2.0
* which is available at https://www.eclipse.org/legal/epl-2.0/
*
* SPDX-License-Identifier: EPL-2.0
* Contributors (in alphabetical order):
* Alberto Molinuevo                         Tecnalia
* Gorka Benguria                            Tecnalia
* Iñaki Etxaniz                             Tecnalia
* Juncal Alonso                             Tecnalia
* Leire Orue-Echevarria                     Tecnalia
* Maria Jose Lopez                          Tecnalia
* Marisa Escalante                          Tecnalia
* Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
**********************************************************************/

package eu.decideh2020.optimus.server.model;

import java.util.ArrayList;
import java.util.List;

import eu.DECIDEh2020.appManager.models.Expression;
import eu.DECIDEh2020.appManager.models.Parameter;
import eu.decideh2020.acsmi.client.model.Service;

public class msANDcs {
	private String msid;
	private List<String> drid = new ArrayList<>();
	private String csid;
	private double weight;
	
	private List<String> matchingAttributes = new ArrayList<>();

	public String getMsid() {
		return msid;
	}

	public void setMsid(String msid) {
		this.msid = msid;
	}

	public String getCsid() {
		return csid;
	}

	public void setCsid(String csid) {
		this.csid = csid;
	}

	public double getWeight() {
		return weight;
	}

	public void setWeight(double weight) {
		this.weight = weight;
	}

	
	public void setMatchingList(List<String> matchingAttributes) {
		//List<String> match = new ArrayList<>();
		if (matchingAttributes!=null){
		for (String mat : matchingAttributes) {
			this.matchingAttributes.add(mat);
		}
		}
		
	}
	
	public List<String> getMatchingList(){
		return matchingAttributes;
		
	}
	public void setdrid(List<String> drid) {
		//List<String> match = new ArrayList<>();
		for (String dr : drid) {
			this.drid.add(dr);
		}
		
	}
	
	public List<String> getdrid(){
		return drid;
		
	}


}
