/*********************************************************************
* Copyright (c) 2018 Tecnalia.
*
* This program and the accompanying materials are made
* available under the terms of the Eclipse Public License 2.0
* which is available at https://www.eclipse.org/legal/epl-2.0/
*
* SPDX-License-Identifier: EPL-2.0
* Contributors (in alphabetical order):
* Alberto Molinuevo                         Tecnalia
* Gorka Benguria                            Tecnalia
* Iñaki Etxaniz                             Tecnalia
* Juncal Alonso                             Tecnalia
* Leire Orue-Echevarria                     Tecnalia
* Maria Jose Lopez                          Tecnalia
* Marisa Escalante                          Tecnalia
* Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
**********************************************************************/
package eu.decideh2020.optimus.server.api.impl;

import java.util.ArrayList;
import java.util.List;

public class Attribute {
 	private int typeid;
 	private int childid;
 	private String name;
 	private String value;
 	private String unit;
	
    public int getTypeid() {
        return typeid;
    }

    public void setTypeid(int id) {
        this.typeid = id;
    }
    public int getChildid() {
        return childid;
    }

    public void setChildid(int id) {
        this.childid = id;
    }
    public String getName() {
        return name;
    }

    public void setName(String id) {
        this.name = id;
    }
    public String getValue() {
        return value;
    }

    public void setValue(String val) {
        this.value = val;
    }
    public String getUnit() {
        return unit;
    }

    public void setUnit(String un) {
        this.unit = un;
    }

}
