/*********************************************************************
* Copyright (c) 2018 Tecnalia.
*
* This program and the accompanying materials are made
* available under the terms of the Eclipse Public License 2.0
* which is available at https://www.eclipse.org/legal/epl-2.0/
*
* SPDX-License-Identifier: EPL-2.0
* Contributors (in alphabetical order):
* Alberto Molinuevo                         Tecnalia
* Gorka Benguria                            Tecnalia
* Iñaki Etxaniz                             Tecnalia
* Juncal Alonso                             Tecnalia
* Leire Orue-Echevarria                     Tecnalia
* Maria Jose Lopez                          Tecnalia
* Marisa Escalante                          Tecnalia
* Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
**********************************************************************/
package eu.decideh2020.optimus.server.api.impl;

import java.util.ArrayList;
import java.util.List;

import eu.DECIDEh2020.appManager.models.DetachableResource;

public class Filter {
	 	private int classid;
		private List<Attribute> attributes = new ArrayList<>();
		


	    public int getClassid() {
	        return classid;
	    }

	    public void setClassid(int id) {
	        this.classid = id;
	    }
		public List<Attribute>  getAttributes() {
			return this.attributes;
		}

		public void setAttributes(List<Attribute> att) {
			this.attributes = att;
		}

	}
