/*********************************************************************
* Copyright (c) 2018 Tecnalia.
*
* This program and the accompanying materials are made
* available under the terms of the Eclipse Public License 2.0
* which is available at https://www.eclipse.org/legal/epl-2.0/
*
* SPDX-License-Identifier: EPL-2.0
* Contributors (in alphabetical order):
* Alberto Molinuevo                         Tecnalia
* Gorka Benguria                            Tecnalia
* Iñaki Etxaniz                             Tecnalia
* Juncal Alonso                             Tecnalia
* Leire Orue-Echevarria                     Tecnalia
* Maria Jose Lopez                          Tecnalia
* Marisa Escalante                          Tecnalia
* Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
**********************************************************************/
package eu.decideh2020.optimus.server.api.impl;

import java.util.Collection;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.Queue;

import eu.decideh2020.optimus.server.model.Simulation;

/**
 * @author 106819
 *
 */
public class SimQueue extends LinkedList<Simulation> {

	   private static SimQueue instance = null;
	   private SimQueue() {
	      // Exists only to defeat instantiation.
	   }

	   public static SimQueue getInstance() {
	      if(instance == null) {
	         instance = new SimQueue();
	      }
	      return instance;
	   }

	
	
}
